/* -------------------------------- 

Primary style

-------------------------------- */
*, *::after, *::before {
    box-sizing: border-box;
}

body, html {
    /* prevent horizontal scrolling */
    overflow-x: hidden;
}

/* -------------------------------- 

Main Components 

-------------------------------- */
main {
    position: relative;
    z-index: 2;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;
    /* Force Hardware Acceleration in WebKit */
    transform: translateZ(0);
    backface-visibility: hidden;
    transition: transform 0.7s;
    transition-timing-function: cubic-bezier(0.3, 0, 0.3, 1);
}

.cd-nav-trigger {
    position: fixed;
    z-index: 3;
    right: 5%;
    top: 35px;
    height: 54px;
    width: 54px;
    /*background-color: #058ce6;*/
    background-color: #ded8d0;
    /*border-radius: 10%;*/
    /* image replacement */
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
    transition: transform 0.5s;
    filter: drop-shadow(2px 2px 1px rgba(0,0,0,0.5));
}
.cd-nav-trigger .cd-nav-icon {
    /* icon created in CSS */
    position: absolute;
    left: 50%;
    top: 50%;
    bottom: auto;
    right: auto;
    transform: translateX(-50%) translateY(-50%);
    width: 22px;
    height: 2px;
    background-color: #152740;
}
.cd-nav-trigger .cd-nav-icon::before, .cd-nav-trigger .cd-nav-icon:after {
    /* upper and lower lines of the menu icon */
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: inherit;
    /* Force Hardware Acceleration in WebKit */
    transform: translateZ(0);
    backface-visibility: hidden;
    transition: transform 0.5s, width 0.5s, top 0.3s;
}
.cd-nav-trigger .cd-nav-icon::before {
    transform-origin: right top;
    transform: translateY(-6px);
}
.cd-nav-trigger .cd-nav-icon::after {
    transform-origin: right bottom;
    transform: translateY(6px);
}
.no-touch .cd-nav-trigger:hover .cd-nav-icon::after {
    top: 2px;
}
.no-touch .cd-nav-trigger:hover .cd-nav-icon::before {
    top: -2px;
}
.cd-nav-trigger svg {
    position: absolute;
    top: 0;
    left: 0;
}
.cd-nav-trigger circle {
    /* circle border animation */
    transition: stroke-dashoffset 0.4s 0s;
}
.navigation-is-open .cd-nav-trigger {
    /* rotate trigger when navigation becomes visible */
    transform: rotate(180deg);
    /*border-radius: 50%;*/
}
.navigation-is-open .cd-nav-trigger .cd-nav-icon::after,
.navigation-is-open .cd-nav-trigger .cd-nav-icon::before {
    /* animate arrow --> from hamburger to arrow */
    width: 50%;
    transition: transform 0.5s, width 0.5s;
}
.navigation-is-open .cd-nav-trigger .cd-nav-icon::before {
    transform: rotate(45deg);
}
.navigation-is-open .cd-nav-trigger .cd-nav-icon::after {
    transform: rotate(-45deg);
}
.no-touch .navigation-is-open .cd-nav-trigger:hover .cd-nav-icon::after, .no-touch .navigation-is-open .cd-nav-trigger:hover .cd-nav-icon::before {
    top: 0;
}
.navigation-is-open .cd-nav-trigger circle {
    /*stroke-dashoffset: 0;*/
    /*stroke: #8F0043;*/
    /*transition: stroke-dashoffset 0.4s 0.3s;*/
}

/*.navigation-is-open .cd-nav {
    visibility: visible;
    transition: visibility 0s 0s;
}*/

/*Mudança de Direcção*/
/*.navigation-is-open main {transform: translateX(-100%);}*/
.navigation-is-open .cd-nav {
    right: 0;
    /*    opacity: 1;
        visibility: visible;
        transition: opacity 0.5s ease-in-out, visibility 0s 0s;*/
}

.cd-nav {
    position: fixed;
    z-index: 2;
    top: 0;
    right: -100%;
    height: 100%;
    width: 100%;
    transition: right 0.5s ease-in-out;
    /*    opacity: 0;
        visibility: hidden;
        transition: opacity 0.5s ease-in-out, visibility 0s 0.5s;*/
}
.cd-nav .cd-navigation-wrapper {
    /* all navigation content */
    height: 100%;
    overflow-y: auto;
    /* Force Hardware Acceleration in WebKit */
    transform: translateZ(0);
    transform: translateX(100%);
    transition: transform 0.9s cubic-bezier(0.25, 0.1, 0.25, 1);
/*    visibility: hidden;
    transition: opacity 0.3s ease, visibility 1.9s;*/
}

.navigation-is-open .cd-nav .cd-navigation-wrapper {
    transform: translateX(0);
    transition: transform 0.9s cubic-bezier(0.25, 0.1, 0.25, 1);
/*    opacity: 1;
    visibility: visible;*/
}

/*
.no-js main {
    height: auto;
    overflow: visible;
}

.no-js .cd-nav {
    position: static;
    visibility: visible;
}
.no-js .cd-nav .cd-navigation-wrapper {
    height: auto;
    overflow: visible;
    padding: 100px 5%;
    transform: translateX(0);
}*/
